Can't find LoadModule php5_module

Discussion in 'General' started by tom, Jun 12, 2006.

  1. tom

    tom Member

    1. I can't find the php5-module. Only that I found:
    <IfModule mod_php4.c>
    #  AddType application/x-httpd-php .php .phtml .php3
    #  AddType application/x-httpd-php-source .phps
    But why there is no entry for the php5-module?

    2. The second think I don't understand is that result:
    php -v
    PHP 4.4.2-0.dotdeb.1 (cli) (built: Jan 13 2006 16:48:04)
    Should'nt it be php5.1.4 after installing php5.1.4?

    This I see in the apache log files:
    [Mon Jun 12 14:44:53 2006] [notice] Apache/2.0.54 (Debian GNU/Linux) PHP/4.3.10-16 mod_ssl/2.0.54 OpenSSL/0.9.7e mod_perl/1.999.21 Perl/v5.8.4 conf
    3. What for is that entry:
    /etc/apache/conf.d# vi php5.conf
    4. The other strange thing is: instead of parsing *.php files apache wants to download this files for example phpinfo.php.

    I've got some problems while playing with fcgi but now usual php dose'nt work any more.
    I've configured debian like your example:
    ISP Server Setup with DEBIAN 3.0
    Last edited: Jun 12, 2006
  2. falko

    falko Super Moderator ISPConfig Developer

    To what tutorial are you referring? :confused:
  3. tom

    tom Member

    Sorry, I'm referring to your tutorial here:)

    Why you've disabled this directive?
    <IfModule mod_php4.c>
      [COLOR="Red"]#[/COLOR]AddType application/x-httpd-php .php .phtml .php3
      [COLOR="Red"]#[/COLOR]AddType application/x-httpd-php-source .phps
    I've install php5 and libapache2-mod-php5.0 but still php -v shows PHP 4.4.2.
    Last edited: Jun 12, 2006
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    This must be disabled globally because ISPConfig enables PHP on a per vhost basis.

    If you run the command "php -v", you will get the version information of your PHP-CLI version and not the version that runs on your apache server.

    To get the version information from your mod_php, create a website in ISPConfig, check the PHP checkbox in the website settings and put a file "info.php" with the following content in the web root:

  5. tom

    tom Member

    What is the differnent between the result of PHP-CLI (php -v) and result of phpinfo()? That's a strange why there are differnet answers?
  6. till

    till Super Moderator Staff Member ISPConfig Developer

    The CLI PHP and the mod_php are completely indepandant software packages. You can install PHP4 as CLI and PHP5 as mod_php on the same server.

    So php -v does not say anything about the PHP version that is used for your webpages (libapache2-mod-php5.0).
  7. falko

    falko Super Moderator ISPConfig Developer

    CLI is short for command line interface, so this is a PHP that can be run from the commanf line, but not from Apache whereas mod_php can be run by APache, but not from the command line.
  8. tom

    tom Member

    aha, so I don't need php-cli for a working apache. Right?
  9. till

    till Super Moderator Staff Member ISPConfig Developer

    Yes, thats correct!

Share This Page